<?php
/**
 * All Fonts
 *
 * @package Tutor_Starter
 */

namespace Tutor_Starter\Traits;

defined( 'ABSPATH' ) || exit;

/**
 * Fonts trait
 */
trait Fonts {

	/**
	 * System Fonts list
	 *
	 * @return array
	 */
	public static function system_fonts_list() {
		return array(
			'Arial, Helvetica, sans-serif',
			'Arial Black, Gadget, sans-serif',
			'Bookman Old Style, serif',
			'Comic Sans MS, cursive',
			'Courier, monospace',
			'Georgia, serif',
			'Garamond, serif',
			'Impact, Charcoal, sans-serif',
			'Lucida Console, Monaco, monospace',
			'Lucida Sans Unicode, Lucida Grande, sans-serif',
			'MS Sans Serif, Geneva, sans-serif',
			'MS Serif, New York, sans-serif',
			'Palatino Linotype, Book Antiqua, Palatino, serif',
			'Tahoma, Geneva, sans-serif',
			'Times New Roman, Times, serif',
			'Trebuchet MS, Helvetica, sans-serif',
			'Verdana, Geneva, sans-serif',
			'Paratina Linotype',
			'Trebuchet MS',
		);
	}

	/**
	 * Google Fonts list
	 *
	 * @return array
	 */
	public static function google_fonts_list() {
		return array(
			'Anton',
			'Arimo',
			'Barlow',
			'Bebas Neue',
			'Crimson Text',
			'Dosis',
			'Fira Sans',
			'Heebo',
			'Hind Siliguri',
			'Inconsolata',
			'Inter',
			'Josefin Sans',
			'Karla',
			'Lato',
			'Libre Baskerville',
			'Lora',
			'Merriweather',
			'Montserrat',
			'Mukta',
			'Nanum Gothic',
			'Noto Sans',
			'Noto Sans JP',
			'Noto Sans KR',
			'Noto Sans TC',
			'Noto Serif',
			'Nunito',
			'Nunito Sans',
			'Open Sans',
			'Open Sans Condensed',
			'Oswald',
			'Oxygen',
			'PT Sans',
			'PT Sans Narrow',
			'PT Serif',
			'Playfair Display',
			'Poppins',
			'Quicksand',
			'Raleway',
			'Roboto',
			'Roboto Condensed',
			'Roboto Mono',
			'Roboto Slab',
			'Rubik',
			'Source Code Pro',
			'Source Sans Pro',
			'Staatliches',
			'Teko',
			'Titillium Web',
			'Ubuntu',
			'Work Sans',
			'Yanone Kaffeesatz',
			'Alatsi',
			'Angkor',
			'Averia Gruesa Libre',
			'Battambang',
			'Berkshire Swash',
			'Bigelow Rules',
			'Bungee',
			'Chakra Petch',
			'Chilanka',
			'Comic Neue',
			'Commissioner',
			'Courier Prime',
			'Fascinate',
			'Flavors',
			'Gochi Hand',
			'Grandstander',
			'Grenze Gotisch',
			'Gruppo',
			'Hanalei Fill',
			'Henny Penny',
			'Jockey One',
			'Jolly Lodger',
			'Kavivanar',
			'Kdam Thmor',
			'Kirang Haerang',
			'Kite One',
			'Koulen',
			'Krona One',
			'Leckerli One',
			'Lemonada',
			'Luckiest Guy',
			'Modak',
			'Moul',
			'Overlock',
			'Overlock SC',
			'Pangolin',
			'Piazzolla',
			'Piedra',
			'Raleway Dots',
			'Ranchers',
			'Ravi Prakash',
			'Recursive',
			'Ribeye',
			'Russo One',
			'Sansita Swashed',
			'Sora',
			'Spartan',
			'Sriracha',
			'Suwannaphum',
			'Tillana',
			'Turret Road',
		);
	}
}
